package dev.dinauer.maven.maven.core.context;

import dev.dinauer.maven.maven.shared.Extensions;

import java.util.Optional;

public class ReleaseContext extends VersionContext
{
    private final String classifier;

    public ReleaseContext(Extensions extensions, String groupId, String artifactId, String filename, String version, String classifier)
    {
        super(extensions, groupId, artifactId, filename, version);
        this.classifier = classifier;
    }

    public Optional<String> classifier()
    {
        return Optional.ofNullable(classifier);
    }
}
